<?php

use App\Http\Controllers\AnagramController;
use Illuminate\Support\Facades\Route;

Route::controller(AnagramController::class)->group(function () {
    Route::get('/', 'index')->name('home');
    Route::post('/', 'find')->name('find');
    Route::get('/find/{anagram}', 'results')->name('results');
});

Route::middleware(['auth', 'verified'])->group(function () {
    Route::view('dashboard', 'dashboard')->name('dashboard');
});

require __DIR__ . '/settings.php';
